virt-install \
  --name rpi \
  --arch armv6l \
  --machine versatilepb \
  --cpu arm1176 \
  --vcpus 1 \
  --memory 256 \
  --import \
  --disk /tmp/rpi.img,format=raw,bus=virtio \
  --network user,model=virtio \
  --video vga \
  --virt-type qemu \
  --rng device=/dev/urandom,model=virtio \
  --boot 'dtb=/root/libvirt/kernel/versatile-pb.dtb,kernel=/root/libvirt/kernel/kernel-qemu-4.19.50-buster,kernel_args=root=/dev/vda2 panic=1' \
  --events on_reboot=destroy
